/**
 * Created by goldie on 21/11/2016.
 */
jQuery(document).ready(function($) {

    // Uploading files
    var file_frame;
    var imagediv = imagemetabox.imagediv;
	var idname = imagemetabox.idname;
    var imagedivid = jQuery("#"+imagediv);
    var imagedivimg = jQuery("#"+imagediv+" img");

    jQuery.fn.upload_before = function( button ) {
        var button_id = button.attr('id');
        var field_id = button_id.replace( '_button', '' ).replace( 'upload_', '');

        // If the media frame already exists, reopen it.
        if ( file_frame ) {
            file_frame.open();
            return;
        }

        // Create the media frame.
        file_frame = wp.media.frames.file_frame = wp.media({
            title: jQuery( this ).data( 'uploader_title' ),
            button: {
                text: jQuery( this ).data( 'uploader_button_text' ),
            },
            multiple: false
        });

        // When an image is selected, run a callback.
        file_frame.on( 'select', function() {
            var attachment = file_frame.state().get('selection').first().toJSON();
            jQuery("#"+field_id).val(attachment.id);
            imagedivimg.attr("src",attachment.url);
            imagedivimg.show();
            jQuery( '#' + button_id ).attr( 'id', 'remove_'+idname+'_button' );
            jQuery( '#remove_'+idname+'_button' ).text( 'Remove image' );
        });

        // Finally, open the modal
        file_frame.open();
    };

    imagedivid.on( 'click', '#upload_'+idname+'_button', function( event ) {
        event.preventDefault();
        jQuery.fn.upload_before( jQuery(this) );
    });

    imagedivid.on( 'click', '#remove_'+idname+'_button', function( event ) {
        event.preventDefault();
        jQuery( '#'+idname ).val( '' );
        imagedivimg.attr( 'src', '' );
        imagedivimg.hide();
        jQuery( this ).attr( 'id', 'upload_'+idname+'_button' );
        jQuery( '#upload_'+idname+'_button' ).text( 'Set image' );
    });
});
